Bug 230884

Summary: Update Qt5 to 5.11.1
Product: Ports & Packages Reporter: Tobias C. Berner <tcberner>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Many People CC: brnrd, dave, jhale, kde, ml+freebsd
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 221100, 229463, 231293    
Bug Blocks:    
Attachments:
Description Flags
v1
none
Updated svn diff for net/qt5-network
brnrd: maintainer-approval?
v2
none
v3
none
v4 none

Description Tobias C. Berner freebsd_committer 2018-08-25 05:53:50 UTC
Created attachment 196521 [details]
v1

Hi there

kde@ would like to ask for an exp-run to upgrade Qt5 to 5.11.1.

The patch is attached and can also be found here:
https://people.freebsd.org/~tcberner/patches/qt5-5.11.1-svn-v1.diff


thanks, 
Tobias
Comment 1 Bernard Spil freebsd_committer 2018-08-25 11:52:57 UTC
Created attachment 196524 [details]
Updated svn diff for net/qt5-network

Merged the LibreSSL changes I had lined up for 5.10 into the 5.11.1 patch.
NOTE: This is only the net/qt5-network patch, not the complete patch. It is not a patch-for-patch-v1 either.
Comment 2 Tobias C. Berner freebsd_committer 2018-08-26 13:56:13 UTC
Created attachment 196565 [details]
v2

Add additional patch to fix build of qt5-network on 10.x
Comment 3 Tobias C. Berner freebsd_committer 2018-08-26 13:56:27 UTC
(In reply to Tobias C. Berner from comment #2)
https://people.freebsd.org/~tcberner/patches/qt5-5.11.1.v2.diff
Comment 4 Tobias C. Berner freebsd_committer 2018-08-27 04:38:10 UTC
Created attachment 196584 [details]
v3

v2's patch was broken.

https://people.freebsd.org/~tcberner/patches/qt5-5.11.1.v3.diff
Comment 5 Antoine Brodin freebsd_committer 2018-08-27 10:53:44 UTC
New failure logs on 10.4 i386:

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/qmapshack-1.11.1_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/guidolib-164.61.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/musescore-2.1_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/polyphone-1.9_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/sayonara-1.0.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/ugene-1.22.0_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/librecad-2.2.0.r1_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kexi-3.1.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/charmtimetracker-1.11.4_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/copyq-2.7.1_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kontact-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/RStudio-1.2.679_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/fuel-1.0.1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kdesvn-2.0.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kio-extras-18.08.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/py36-qt5-test-5.9.2_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/py27-qt5-test-5.9.2_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/qtcreator-4.6.2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/calligra-3.1.0_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/calligraplan-3.1.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/mgba-0.6.1_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kmymoney-5.0.1_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/chessx-1.4.6.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/multimc-0.6.2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/solarus-quest-editor-1.5.3_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/gmic-qt-215.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kphotoalbum-5.3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/photivo-0.0.2015.03.21_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kalgebra-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/labplot-2.4.0_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/crosti-1.13.3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/parley-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/qmmp-qt5-1.2.0_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/shotcut-17.02_6.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/vlc-2.2.8_10,4.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/ktp-text-ui-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/seafile-gui-6.1.7_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/retroshare-0.6.4.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/libkgapi-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/pl-qnapi-0.2.3_4.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/octopkg-0.2.0_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/lyx-2.3.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kst-2.0.8.20180405_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/paraview-5.5.1_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/keepassx-devel-2.0.3_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/keepassxc-2.3.3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/falkon-3.0.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/otter-browser-0.9.99.2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/qupzilla-qt5-1.8.9_4.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/konqueror-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/plasma5-kdeplasma-addons-5.12.5_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/radare-cutter-1.5_1.log
Comment 6 commit-hook freebsd_committer 2018-08-31 00:30:40 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 00:30:16 UTC 2018
New revision: 478503
URL: https://svnweb.freebsd.org/changeset/ports/478503

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/finance/kmymoney/files/patch-kmymoney_plugins_kbanking_widgets_chiptandialog.cpp
Comment 7 commit-hook freebsd_committer 2018-08-31 00:47:55 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 00:46:58 UTC 2018
New revision: 478504
URL: https://svnweb.freebsd.org/changeset/ports/478504

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/cad/librecad/files/
  head/cad/librecad/files/patch-git_6c392e9
Comment 8 commit-hook freebsd_committer 2018-08-31 01:24:23 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 01:23:55 UTC 2018
New revision: 478505
URL: https://svnweb.freebsd.org/changeset/ports/478505

Log:
  Fix build with Qt 5.11

  PR:		230884

Changes:
  head/games/chessx/files/patch-src_dialogs_preferences.cpp
  head/games/chessx/files/patch-src_dialogs_savedialog.cpp
  head/games/chessx/files/patch-src_gui_gamewindow.cpp
Comment 9 commit-hook freebsd_committer 2018-08-31 02:38:21 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 02:37:34 UTC 2018
New revision: 478511
URL: https://svnweb.freebsd.org/changeset/ports/478511

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/emulators/mgba/Makefile
  head/emulators/mgba/distinfo
Comment 10 commit-hook freebsd_committer 2018-08-31 03:34:03 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 03:33:36 UTC 2018
New revision: 478513
URL: https://svnweb.freebsd.org/changeset/ports/478513

Log:
  Fix build with Qt 5.11 (patch sent upstream)

  PR:		230884

Changes:
  head/ports-mgmt/octopkg/files/patch-git_b93ad1a
Comment 11 commit-hook freebsd_committer 2018-08-31 04:14:34 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 04:13:54 UTC 2018
New revision: 478514
URL: https://svnweb.freebsd.org/changeset/ports/478514

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream (modified to apply cleanly)

Changes:
  head/security/keepassxc/files/patch-src_gui_entry_EditEntryWidget.cpp
Comment 12 Tobias C. Berner freebsd_committer 2018-08-31 04:26:12 UTC
Thanks jhale!
Comment 13 commit-hook freebsd_committer 2018-08-31 04:27:48 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 04:27:43 UTC 2018
New revision: 478516
URL: https://svnweb.freebsd.org/changeset/ports/478516

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream PR (https://github.com/keepassx/keepassx/pull/214)

Changes:
  head/security/keepassx-devel/files/patch-PR214
Comment 14 commit-hook freebsd_committer 2018-08-31 05:21:30 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 05:20:42 UTC 2018
New revision: 478517
URL: https://svnweb.freebsd.org/changeset/ports/478517

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/multimedia/qmmp-qt5/files/patch-src_plugins_Ui_skinned_hotkeyeditor.cpp
  head/multimedia/qmmp-qt5/files/patch-src_qmmpui_detailsdialog.cpp
Comment 15 commit-hook freebsd_committer 2018-08-31 05:33:41 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 05:33:26 UTC 2018
New revision: 478518
URL: https://svnweb.freebsd.org/changeset/ports/478518

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/www/qupzilla-qt5/files/patch-git_96aa63e
Comment 16 commit-hook freebsd_committer 2018-08-31 06:02:04 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 06:01:57 UTC 2018
New revision: 478519
URL: https://svnweb.freebsd.org/changeset/ports/478519

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/polish/qnapi/files/patch-gui_src_forms_subdatawidget.h
Comment 17 commit-hook freebsd_committer 2018-08-31 07:24:09 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 07:24:05 UTC 2018
New revision: 478525
URL: https://svnweb.freebsd.org/changeset/ports/478525

Log:
  Fix build with Qt 5.11 [1]

  While here, remove CRLF from all installed text files (I had to change
  DOS2UNIX_FILES anyways to make a clean patch) [2]

  Bump PORTREVISION so that the UNIX-style text files are installed

  PR:		230884 [1]
  Approved by:	portmgr (blanket - trivial runtime fix) [2]

Changes:
  head/misc/crosti/Makefile
  head/misc/crosti/files/patch-src_usrhcpp_mainwindow.h
Comment 18 commit-hook freebsd_committer 2018-08-31 08:57:29 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 08:57:18 UTC 2018
New revision: 478532
URL: https://svnweb.freebsd.org/changeset/ports/478532

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream (partly)

Changes:
  head/science/kst2/Makefile
  head/science/kst2/distinfo
  head/science/kst2/files/patch-src_libkstapp_view.h
Comment 19 commit-hook freebsd_committer 2018-08-31 09:03:36 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 09:02:48 UTC 2018
New revision: 478533
URL: https://svnweb.freebsd.org/changeset/ports/478533

Log:
  Fix build with Qt 5.11

  While here, add USES=gnome since this has USE_GNOME

  PR:		230884
  Obtained from:	upstream

Changes:
  head/audio/guidolib/Makefile
  head/audio/guidolib/distinfo
Comment 20 commit-hook freebsd_committer 2018-08-31 09:26:02 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 09:25:43 UTC 2018
New revision: 478536
URL: https://svnweb.freebsd.org/changeset/ports/478536

Log:
  Fix build with Qt 5.11

  While here, pet portlint

  PR:		230884
  Obtained from:	upstream

Changes:
  head/audio/polyphone/Makefile
  head/audio/polyphone/distinfo
Comment 21 commit-hook freebsd_committer 2018-08-31 09:40:17 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 09:40:13 UTC 2018
New revision: 478539
URL: https://svnweb.freebsd.org/changeset/ports/478539

Log:
  Fix build with Qt 5.11

  PR:		230884

Changes:
  head/audio/sayonara/files/patch-src_GUI_InfoDialog_GUI__InfoDialog.h
Comment 22 commit-hook freebsd_committer 2018-08-31 10:08:40 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 10:07:37 UTC 2018
New revision: 478543
URL: https://svnweb.freebsd.org/changeset/ports/478543

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/deskutils/charmtimetracker/Makefile
  head/deskutils/charmtimetracker/distinfo
Comment 23 commit-hook freebsd_committer 2018-08-31 10:24:54 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 10:24:37 UTC 2018
New revision: 478545
URL: https://svnweb.freebsd.org/changeset/ports/478545

Log:
  Fix build with Qt 5.11

  PR:		230884

Changes:
  head/devel/fuel/files/
  head/devel/fuel/files/patch-src_CommitDialog.cpp
Comment 24 commit-hook freebsd_committer 2018-08-31 11:23:39 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 11:23:33 UTC 2018
New revision: 478547
URL: https://svnweb.freebsd.org/changeset/ports/478547

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/multimedia/shotcut/Makefile
  head/multimedia/shotcut/distinfo
Comment 25 commit-hook freebsd_committer 2018-08-31 12:51:55 UTC
A commit references this bug:

Author: jhale
Date: Fri Aug 31 12:51:34 UTC 2018
New revision: 478554
URL: https://svnweb.freebsd.org/changeset/ports/478554

Log:
  Fix build with Qt 5.11

  USE_GNOME requires USES=gnome

  PR:		230884
  Obtained from:	upstream

Changes:
  head/net-p2p/retroshare/Makefile
  head/net-p2p/retroshare/distinfo
Comment 26 Jason E. Hale freebsd_committer 2018-08-31 13:15:34 UTC
Out of time today. Still left:

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/qmapshack-1.11.1_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/musescore-2.1_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/ugene-1.22.0_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kexi-3.1.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/copyq-2.7.1_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kontact-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/RStudio-1.2.679_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kdesvn-2.0.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kio-extras-18.08.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/py36-qt5-test-5.9.2_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/py27-qt5-test-5.9.2_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/qtcreator-4.6.2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/calligra-3.1.0_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/calligraplan-3.1.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/multimc-0.6.2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/solarus-quest-editor-1.5.3_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/gmic-qt-215.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kphotoalbum-5.3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/photivo-0.0.2015.03.21_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/kalgebra-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/labplot-2.4.0_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/parley-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/vlc-2.2.8_10,4.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/ktp-text-ui-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/libkgapi-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/lyx-2.3.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/paraview-5.5.1_2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/falkon-3.0.0_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/otter-browser-0.9.99.2.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/konqueror-18.08.0.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/plasma5-kdeplasma-addons-5.12.5_1.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/radare-cutter-1.5_1.log
Comment 27 commit-hook freebsd_committer 2018-09-01 15:23:41 UTC
A commit references this bug:

Author: jhale
Date: Sat Sep  1 15:22:39 UTC 2018
New revision: 478704
URL: https://svnweb.freebsd.org/changeset/ports/478704

Log:
  Fix build with Qt 5.11

  Qt buildtools and qmake should only be in BUILD_DEPENDS
  Bump PORTREVISION for dependency change

  PR:		230884
  Obtained from:	upstream

Changes:
  head/games/multimc/Makefile
  head/games/multimc/files/patch-git_4d68c1b
Comment 28 Jason E. Hale freebsd_committer 2018-09-02 00:52:28 UTC
I'm preparing an update for biology/ugene. It is a large codebase and it seemed easier to update than to patch the 2+ year old version in the ports tree. At the very least it builds and runs on 12.0-ALPHA3. Just needs some finishing touches and tests on other platforms. There is an existing placeholder PR (bug #229463) for an update, but no patch was provided and maintainer never responded.
Comment 29 Tobias C. Berner freebsd_committer 2018-09-02 08:25:11 UTC
(In reply to Jason E. Hale from comment #28)

Great, I'll start to work on the remaining list from the top. 

The WebEngine related errors should go away by themselves (the package was missing some headers).
Comment 30 commit-hook freebsd_committer 2018-09-02 08:50:43 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep  2 08:49:57 UTC 2018
New revision: 478768
URL: https://svnweb.freebsd.org/changeset/ports/478768

Log:
  astro/qmapshack: fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/astro/qmapshack/files/patch-hg_e9b47af
Comment 31 commit-hook freebsd_committer 2018-09-02 09:03:55 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep  2 09:03:19 UTC 2018
New revision: 478769
URL: https://svnweb.freebsd.org/changeset/ports/478769

Log:
  audio/musescore: fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/audio/musescore/files/patch-git_9c8a8f
Comment 32 commit-hook freebsd_committer 2018-09-02 09:03:57 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep  2 09:03:47 UTC 2018
New revision: 478770
URL: https://svnweb.freebsd.org/changeset/ports/478770

Log:
  databases/kexi: fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/databases/kexi/files/patch-git_1578fc
Comment 33 commit-hook freebsd_committer 2018-09-02 09:18:10 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep  2 09:17:12 UTC 2018
New revision: 478772
URL: https://svnweb.freebsd.org/changeset/ports/478772

Log:
  devel/kdesvn: Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/devel/kdesvn/files/patch-git_605484
Comment 34 commit-hook freebsd_committer 2018-09-02 10:07:48 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep  2 10:07:02 UTC 2018
New revision: 478774
URL: https://svnweb.freebsd.org/changeset/ports/478774

Log:
  print/lyx: fix build with Qt 5.11

  PR:		230884
  Obtained from:	gentoo

Changes:
  head/print/lyx/files/patch-gentoo_git-lyx-2.3.0-qt-5.11.patch
Comment 35 commit-hook freebsd_committer 2018-09-02 10:47:25 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep  2 10:47:13 UTC 2018
New revision: 478780
URL: https://svnweb.freebsd.org/changeset/ports/478780

Log:
  graphics/kphotoalbum: fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/graphics/kphotoalbum/files/
  head/graphics/kphotoalbum/files/patch-git_47f4c00
Comment 36 Tobias C. Berner freebsd_committer 2018-09-02 17:45:21 UTC
(In reply to commit-hook from comment #35)
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/gmic-qt-215.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/labplot-2.4.0_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/ugene-1.22.0_3.log

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/py36-qt5-test-5.9.2_5.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/py27-qt5-test-5.9.2_5.log

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/calligra-3.1.0_3.log
http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/calligraplan-3.1.0_1.log

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/solarus-quest-editor-1.5.3_2.log

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/vlc-2.2.8_10,4.log

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/photivo-0.0.2015.03.21_5.log

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/copyq-2.7.1_1.log

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/qtcreator-4.6.2.log

http://package23.nyi.freebsd.org/data/104i386-default-PR230884/2018-08-26_22h24m44s/logs/errors/paraview-5.5.1_2.log


We should be down to these now. 
* calligra and calligraplan have upstream fix: https://github.com/KDE/calligra/commit/a7ebecb9fbee2190e649c44ed53f1299013baa30.patch
* pyqt does too: https://riverbankcomputing.com/pipermail/pyqt/2018-May/040368.html
* solarus-quest-editor: https://github.com/solarus-games/solarus-quest-editor/commit/8f308463030c18cd4f7c8a6052028fff3b7ca35a
* gmic-qt: partial: https://github.com/c-koi/gmic-qt/commit/62998534a3a5db2d8b1eb47be4c9212574f5c679


and so on... 


mfg Tobias
Comment 37 Jason E. Hale freebsd_committer 2018-09-02 22:57:35 UTC
Update for math/labplot to fix build.
https://reviews.freebsd.org/D16996
Comment 38 commit-hook freebsd_committer 2018-09-03 07:55:50 UTC
A commit references this bug:

Author: jhale
Date: Mon Sep  3 07:55:06 UTC 2018
New revision: 478848
URL: https://svnweb.freebsd.org/changeset/ports/478848

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/science/paraview/Makefile
  head/science/paraview/distinfo
Comment 39 commit-hook freebsd_committer 2018-09-03 10:13:34 UTC
A commit references this bug:

Author: jhale
Date: Mon Sep  3 10:12:59 UTC 2018
New revision: 478852
URL: https://svnweb.freebsd.org/changeset/ports/478852

Log:
  Fix build with Qt 5.11

  PR:		230884

Changes:
  head/multimedia/vlc/files/patch-modules_gui_qt4_actions__manager.hpp
  head/multimedia/vlc/files/patch-modules_gui_qt4_components_simple__preferences.cpp
Comment 40 commit-hook freebsd_committer 2018-09-03 10:48:02 UTC
A commit references this bug:

Author: jhale
Date: Mon Sep  3 10:47:14 UTC 2018
New revision: 478853
URL: https://svnweb.freebsd.org/changeset/ports/478853

Log:
  Fix build with Qt 5.11 [1]

  While here, add USES=gnome as this has USE_GNOME defined [2]

  PR:		230884 [1]
  Approved by:	portmgr (infrastructure blanket) [2]

Changes:
  head/graphics/photivo/Makefile
  head/graphics/photivo/files/patch-Sources_filemgmt_ptFileMgrWindow.h
Comment 41 commit-hook freebsd_committer 2018-09-03 11:30:36 UTC
A commit references this bug:

Author: jhale
Date: Mon Sep  3 11:30:19 UTC 2018
New revision: 478854
URL: https://svnweb.freebsd.org/changeset/ports/478854

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/games/solarus-quest-editor/files/patch-qt511
Comment 42 Jason E. Hale freebsd_committer 2018-09-04 01:52:56 UTC
Update available for graphics/gmic-qt to fix build.
https://reviews.freebsd.org/D17009
Comment 43 commit-hook freebsd_committer 2018-09-04 09:54:23 UTC
A commit references this bug:

Author: jhale
Date: Tue Sep  4 09:54:13 UTC 2018
New revision: 478945
URL: https://svnweb.freebsd.org/changeset/ports/478945

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	https://riverbankcomputing.com/pipermail/pyqt/2018-May/040368.html

Changes:
  head/devel/py-qt5-test/files/
  head/devel/py-qt5-test/files/patch-sip_QtTest_qtestmouse.sip
Comment 44 commit-hook freebsd_committer 2018-09-04 10:57:12 UTC
A commit references this bug:

Author: jhale
Date: Tue Sep  4 10:56:58 UTC 2018
New revision: 478948
URL: https://svnweb.freebsd.org/changeset/ports/478948

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/editors/calligra/files/patch-git_70be8c4
  head/editors/calligra/files/patch-git_a7ebecb
Comment 45 commit-hook freebsd_committer 2018-09-04 13:13:00 UTC
A commit references this bug:

Author: jhale
Date: Tue Sep  4 13:12:27 UTC 2018
New revision: 478955
URL: https://svnweb.freebsd.org/changeset/ports/478955

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/editors/calligraplan/files/
  head/editors/calligraplan/files/patch-git_a7ebecb
Comment 46 Jason E. Hale freebsd_committer 2018-09-04 23:04:54 UTC
I believe everything else has been fixed now with 
https://github.com/freebsd/freebsd-ports-kde/commit/4ef0d3265e67f91414d2730b3259c08a265ef8bb
and
https://github.com/freebsd/freebsd-ports-kde/pull/22/commits/60f54b304091d8b9421120912cddae17d4b6c9bd

Just waiting on maintainer for deskutils/copyq (bug #221100)
Comment 47 Tobias C. Berner freebsd_committer 2018-09-06 05:10:03 UTC
Awesome :)

I'll upload a new diff tonight.


mfg Tobias
Comment 48 Tobias C. Berner freebsd_committer 2018-09-06 16:53:27 UTC
Created attachment 196918 [details]
v4

Voilà. The new patch also includes the changes for libressl suppoprt by barnerd.

Hopefully the rest builds fine now.
Comment 51 commit-hook freebsd_committer 2018-09-07 13:34:07 UTC
A commit references this bug:

Author: jhale
Date: Fri Sep  7 13:33:33 UTC 2018
New revision: 479192
URL: https://svnweb.freebsd.org/changeset/ports/479192

Log:
  Fix build with Qt 5.11

  PR:		230884
  Obtained from:	upstream

Changes:
  head/net-p2p/ktorrent/files/patch-git_1669198
  head/net-p2p/ktorrent/files/patch-git_c66233c
Comment 52 Jason E. Hale freebsd_committer 2018-09-07 13:41:05 UTC
(In reply to Antoine Brodin from comment #49)

devel/py-qt5-test: was fixed in r478945. The Makefile ID is older in the exp-run.
net-p2p/ktorrent: just fixed in r479192.
deskutils/copyq: expected failure, waiting on bug #221100.
Comment 53 Jason E. Hale freebsd_committer 2018-09-07 14:15:24 UTC
(In reply to Jason E. Hale from comment #52)
I just backported a fix for deskutils/copyq in r479193 so we don't have to wait on the PR. Sorry I forgot to but this bug number in the commit message.
Comment 56 Antoine Brodin freebsd_committer 2018-09-08 06:08:11 UTC
(In reply to Jason E. Hale from comment #52)
py-qt5-test is still failing with your patch applied.
Comment 57 Antoine Brodin freebsd_committer 2018-09-08 06:10:09 UTC
% make -Cdevel/py-qt5-test -VPATCHDIR
/usr/ports/devel/py-qt5-test/../../devel/py-qt5-core/files
Comment 58 Jason E. Hale freebsd_committer 2018-09-08 06:36:44 UTC
(In reply to Antoine Brodin from comment #56)
Hmm... it is a different error. For whatever reason it built for me. I’ll look into it. Thanks!
Comment 59 commit-hook freebsd_committer 2018-09-08 06:50:47 UTC
A commit references this bug:

Author: tcberner
Date: Sat Sep  8 06:49:44 UTC 2018
New revision: 479229
URL: https://svnweb.freebsd.org/changeset/ports/479229

Log:
  devel/py-qt5-test: move patch into PATCHDIR

  The py-qt5 ports share there patchdir devel/py-qt5-core/files. The fix
  for Qt 5.11.1 was threfore not being picked up.

  PR:		230884
  Reported by:	antoine

Changes:
  head/devel/py-qt5-core/files/patch-sip_QtTest_qtestmouse.sip
  head/devel/py-qt5-test/files/
Comment 60 Tobias C. Berner freebsd_committer 2018-09-08 07:01:07 UTC
(In reply to Jason E. Hale from comment #58)
antoine, jhale, I think with this we should be ready, right?
Comment 61 Jason E. Hale freebsd_committer 2018-09-08 07:07:38 UTC
(In reply to Tobias C. Berner from comment #60)
net-im/psi failure is new. Thanks for fixing my screw up!
Comment 62 commit-hook freebsd_committer 2018-09-08 09:23:55 UTC
A commit references this bug:

Author: jhale
Date: Sat Sep  8 09:23:50 UTC 2018
New revision: 479239
URL: https://svnweb.freebsd.org/changeset/ports/479239

Log:
  Fix build with Qt 5.11

  PR:		230884

Changes:
  head/net-im/psi/files/patch-git_4b838c0
Comment 63 Antoine Brodin freebsd_committer 2018-09-08 20:04:15 UTC
Exp-run looks fine.
Comment 64 commit-hook freebsd_committer 2018-09-09 11:13:10 UTC
A commit references this bug:

Author: tcberner
Date: Sun Sep  9 11:12:20 UTC 2018
New revision: 479286
URL: https://svnweb.freebsd.org/changeset/ports/479286

Log:
  Update Qt5 to 5.11.1

  Big thanks to
          * brnrd for the libressl patches in net/qt5-network
          * jhale for fixing the bulk load of ports

  PR:		230884
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/qt.mk
  head/comms/qt5-connectivity/pkg-plist
  head/comms/qt5-serialbus/Makefile
  head/comms/qt5-serialbus/pkg-plist
  head/devel/qt5/distinfo
  head/devel/qt5-assistant/files/patch-src__src.pro
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/pkg-plist
  head/devel/qt5-designer/files/patch-src__src.pro
  head/devel/qt5-help/files/patch-src__src.pro
  head/devel/qt5-linguist/files/patch-src__src.pro
  head/devel/qt5-linguisttools/files/patch-src__src.pro
  head/devel/qt5-location/pkg-plist
  head/devel/qt5-qdbus/files/patch-src_src.pro
  head/devel/qt5-qdbusviewer/files/patch-src__src.pro
  head/devel/qt5-qdoc/Makefile
  head/devel/qt5-qdoc/files/patch-src_src.pro
  head/devel/qt5-qmake/Makefile
  head/devel/qt5-qmake/pkg-plist
  head/devel/qt5-testlib/pkg-plist
  head/devel/qt5-uitools/files/patch-src__designer__src__src.pro
  head/devel/qt5-uitools/files/patch-src__src.pro
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/pkg-plist
  head/graphics/qt5-3d/pkg-plist
  head/graphics/qt5-pixeltool/files/patch-src__src.pro
  head/graphics/qt5-wayland/Makefile
  head/graphics/qt5-wayland/pkg-plist
  head/lang/qt5-qml/Makefile
  head/lang/qt5-qml/files/patch-configure.json
  head/lang/qt5-qml/files/patch-src_3rdparty_masm_assembler_ARM64Assembler.h
  head/lang/qt5-qml/files/patch-src_3rdparty_masm_assembler_ARMv7Assembler.h
  head/lang/qt5-qml/files/patch-src_3rdparty_masm_wtf_Platform.h
  head/lang/qt5-qml/files/patch-src__src.pro
  head/lang/qt5-qml/files/patch-src_qml_jsruntime_qv4global__p.h
  head/lang/qt5-qml/pkg-plist
  head/misc/qt5-doc/Makefile
  head/misc/qt5-doc/distinfo
  head/misc/qt5-doc/pkg-plist
  head/misc/qt5-examples/distinfo
  head/misc/qt5-examples/pkg-plist
  head/misc/qt5-l10n/pkg-plist
  head/multimedia/qt5-multimedia/pkg-plist
  head/net/qt5-network/files/patch-src_network_kernel_qnetworkinterface__unix.cpp
  head/net/qt5-network/files/patch-src_network_socket_qnet_unix_p.h
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl11__symbols__p.h
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols.cpp
  head/net/qt5-network/files/patch-src_network_ssl_qsslsocket__openssl__symbols__p.h
  head/net/qt5-network/pkg-plist
  head/www/qt5-webengine/Makefile
  head/www/qt5-webkit/Makefile
  head/x11-toolkits/qt5-charts/pkg-plist
  head/x11-toolkits/qt5-datavis3d/pkg-plist
  head/x11-toolkits/qt5-gui/files/patch-git_4a7771f2
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quick/files/
  head/x11-toolkits/qt5-quick/files/patch-tools_qmlcachegen_qmlcachegen.pro
  head/x11-toolkits/qt5-quick/pkg-plist
  head/x11-toolkits/qt5-quickcontrols2/pkg-plist
  head/x11-toolkits/qt5-uiplugin/files/patch-src__src.pro
  head/x11-toolkits/qt5-virtualkeyboard/Makefile
Comment 65 Charlie Li 2018-09-13 22:15:14 UTC
LibreSSL patches for net/qt5-network seem incomplete. Same error with both 2.7.4 (security/libressl) and 2.8.0 (security/libressl-devel):

--- .obj/qsslcertificate.o ---
In file included from ssl/qsslcertificate.cpp:116:
ssl/qsslsocket_openssl_symbols_p.h:360:1: error: unknown type name 'SSL_CONF_CTX'; did you mean 'SSL_AEAD_CTX'?
SSL_CONF_CTX *q_SSL_CONF_CTX_new();
^~~~~~~~~~~~
SSL_AEAD_CTX
/usr/local/include/openssl/ssl.h:610:32: note: 'SSL_AEAD_CTX' declared here
typedef struct ssl_aead_ctx_st SSL_AEAD_CTX;
                               ^
In file included from ssl/qsslcertificate.cpp:116:
ssl/qsslsocket_openssl_symbols_p.h:361:26: error: unknown type name 'SSL_CONF_CTX'
void q_SSL_CONF_CTX_free(SSL_CONF_CTX *a);
                         ^
ssl/qsslsocket_openssl_symbols_p.h:362:33: error: unknown type name 'SSL_CONF_CTX'
void q_SSL_CONF_CTX_set_ssl_ctx(SSL_CONF_CTX *a, SSL_CTX *b);
                                ^
ssl/qsslsocket_openssl_symbols_p.h:363:39: error: unknown type name 'SSL_CONF_CTX'
unsigned int q_SSL_CONF_CTX_set_flags(SSL_CONF_CTX *a, unsigned int b);
                                      ^
ssl/qsslsocket_openssl_symbols_p.h:364:27: error: unknown type name 'SSL_CONF_CTX'
int q_SSL_CONF_CTX_finish(SSL_CONF_CTX *a);
                          ^
ssl/qsslsocket_openssl_symbols_p.h:365:20: error: unknown type name 'SSL_CONF_CTX'
int q_SSL_CONF_cmd(SSL_CONF_CTX *a, const char *b, const char *c);
                   ^
6 errors generated.
*** [.obj/qsslcertificate.o] Error code 1

make[1]: stopped in /wrkdirs/usr/ports/net/qt5-network/work/qtbase-everywhere-src-5.11.1/src/network
Comment 66 Tobias C. Berner freebsd_committer 2018-09-17 18:47:25 UTC
(In reply to Charlie Li from comment #65)

Moin moin

So what did we miss in the patch :)


mfg Tobias
Comment 67 Charlie Li 2018-09-28 01:00:18 UTC
(In reply to Tobias C. Berner from comment #66)
LibreSSL doesn't have any of the SSL_CONF_CTX functions, yet qt5-network still tries to use them. I'm taking a look at what Gentoo did as a starting point:

https://github.com/gentoo/libressl/blob/master/dev-qt/qtnetwork/files/qtnetwork-5.11.1-libressl.patch
Comment 68 dave 2018-11-23 19:22:04 UTC
(In reply to Charlie Li from comment #67)

This is still true in ports HEAD. I have the exact same build failure trying to compile with libressl. Is there any workaround?
Comment 69 Tobias C. Berner freebsd_committer 2018-11-23 22:34:30 UTC
(In reply to dave from comment #68)
You can try the patch, attached, where some people claim it might be working. 

mfg Tobias
Comment 70 dave 2018-11-25 04:38:11 UTC
I assume you are talking about the v4 patch and not gentoo's patch? Isn't v4 in ports HEAD already?
Comment 71 Tobias C. Berner freebsd_committer 2018-11-25 11:13:35 UTC
(In reply to dave from comment #70)
I meant the patch attached in this pr:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228344

I think it would be good if we closed this one, and continued in the other, which his about the libressl issue, and not the update itself.